Skip to content

Attach an HTTP monitor to a status page.

POST
/status_page/{status_page_id}/http_job/{http_job_id}
curl --request POST \
--url https://api.siteqwality.com/status_page/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/http_job/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "friendly_name": "example" }'
status_page_id
required
string format: uuid

Status page identifier

http_job_id
required
string format: uuid

HTTP monitor identifier

Media type application/json
object
friendly_name
required
string
Example generated
{
"friendly_name": "example"
}

Status page HTTP-job mapping created

Invalid request body

Missing or invalid authentication

Status page or HTTP monitor not found

Internal server error